httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Erik Dobák <erik.do...@gmail.com>
Subject Re: [users@httpd] problem compiling apache
Date Tue, 04 Oct 2016 20:41:36 GMT
if you upgraded ssl and in this state of situation you will have to upgrade
httpd too.

On 20 September 2016 at 21:07, Pavol Eisenberg <pavol.eisenberg@gmail.com>
wrote:

> Hello
>
> After I've tried to upgrade my openssl 1.0.2 (ubuntu default) to Openssl
> 1.1.0 I cannot compile apache with ssl anymore.I also reverse to openssl
> 1.0.2 but the problem still remain.
>
> Can someone point me how to fix this to have working ssl with apache ?
>
> Here is my current compile output :
>
>
> /usr/share/apr-1.0/build/libtool --silent --mode=link
> x86_64-linux-gnu-gcc  -pthread   -L/usr/local/lib -lssl -lcrypto  \
>          -o ab  ab.lo       /usr/lib/x86_64-linux-gnu/libaprutil-1.la
> /usr/lib/x86_64-linux-gnu/libapr-1.la -lm
> ab.o: In function `main':
> ab.c:(.text+0x62a8): undefined reference to `SSLv2_client_method'
> ab.c:(.text+0x653c): undefined reference to `CRYPTO_malloc_init'
> collect2: error: ld returned 1 exit status
> Makefile:73: recipe for target 'ab' failed
> make[2]: *** [ab] Error 1
>
> many thanks for help
>
> Paul
>

Mime
View raw message